Bug 1279162 - (connectome-workbench) Review Request: connectome-workbench - Connectome Workbench
Review Request: connectome-workbench - Connectome Workbench
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-11-08 05:00 EST by Igor Gnatenko
Modified: 2017-03-05 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-08 05:00:30 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/connectome.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/connectome-workbench-1.1.1-1.fc24.src.rpm
Description:
Connectome Workbench is an open source, freely available visualization and
discovery tool used to map neuroimaging data, especially data generated by
the Human Connectome Project. The distribution includes wb_view, a GUI-based
visualiation platform, and wb_command, a command-line program for performing
a variety of algorithmic tasks using volume, surface, and grayordinate data.
wb_command is necessary for running HCP data processing pipelines.
Fedora Account System Username: ignatenkobrain
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-12-01 15:36:32 EST
The bad
=======

rm -rf src/build/ should not be necessary.

You should add a desktop file (I see that there's an icon), and also an appdata file would be great. The desktop file should register for their .spec mimetype if possible (Upstream is crazy to use .spec extension, but it's probably too late to fix that).

The License field seems overcomplicated. The License field specifies the license of the binary package, and since that is compiled with some GPLv3 components, the result must be GPLv3. So unless I'm missing something, the package is License: GPLv3.

It would be nice to include some example data for people to play around with the software (which seems pretty nice), without having to download stuff from the website, especially that it seems that there no direct downloads that are easy to find.

The ugly
========

wb_view dumps various warnings when run from the commandline. Would be nice to fix that:

WARNING: Non-ASCII characters were removed, result is "libpng warning: iCCP: known incorrect sRGB profile_/usr/bin/wb_view(_ZN5caret15SystemUtilities12getBackTraceERSt6vectorINS_7AStringESaIS2_EE+0x7d) [0x563be76e8c0d]_/usr/bin/wb_view(_ZN5caret15SystemUtilities12getBackTraceEv+0x4e) [0x563be76e8d4e]_/usr/bin/wb_view(+0x2b0272) [0x563be6f86272]_/lib64/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x26) [0x7f470c4d5756]_/lib64/libQtCore.so.4(+0x81941) [0x7f470c4d5941]_/lib64/libQtCore.so.4(_Z8qWarningPKcz+0xa1) [0x7f470c4d5bb1]_/lib64/libpng16.so.16(png_chunk_warning+0x40) [0x7f4705b71240]_/lib64/libpng16.so.16(+0x912c) [0x7f4705b7012c]_/lib64/libpng16.so.16(+0x1a10a) [0x7f4705b8110a]_/lib64/libpng16.so.16(png_read_info+0x376) [0x7f4705b76556]_/lib64/libQtGui.so.4(+0x301145) [0x7f470cc5c145]_/lib64/libQtGui.so.4(+0x3031dd) [0x7f470cc5e1dd]_/lib64/libQtGui.so.4(_ZN12QImageReader4readEP6QImage+0x1c4) [0x7f470cc2b4a4]_/lib64/libQtGui.so.4(_ZN12QImageReader4readEv+0x34) [0x7f470cc2ba64]_/lib64/libQtGui.so.4(_ZN11QPixmapData8fromFileERK7QStringPKc6QFlagsIN2Qt19ImageConversionFlagEE+0x5a) [0x7f470cc3f2ba]_/lib64/libQtGui.so.4(_ZN7QPixmap4loadERK7QStringPKc6QFlagsIN2Qt19ImageConversionFlagEE+0x5c4) [0x7f470cc37cd4]_/usr/bin/wb_view(_ZN5caret13WuQtUtilities10loadPixmapERK7QStringR7QPixmap+0x3d) [0x563be70525fd]_/usr/bin/wb_view(_ZNK5caret13CursorManager10loadCursorERK7QStringiiRKN2Qt11CursorShapeE+0x45) [0x563be6fcf9d5]_/usr/bin/wb_view(_ZN5caret13CursorManagerC1Ev+0x156) [0x563be6fcfbc6]_/usr/bin/wb_view(_ZN5caret10GuiManagerC2EP7QObject+0x20f) [0x563be6fe7e2f]_/usr/bin/wb_view(_ZN5caret10GuiManager16createGuiManagerEv+0x1d) [0x563be6fe8add]_/usr/bin/wb_view(main+0x5a8) [0x563be6f6b8e8]_/lib64/libc.so.6(__libc_start_main+0xf0) [0x7f47078c9580]_/usr/bin/wb_view(_start+0x29) [0x563be6f860d9]"


WARNING: libpng warning: iCCP: known incorrect sRGB profile
/usr/bin/wb_view(_ZN5caret15SystemUtilities12getBackTraceERSt6vectorINS_7AStringESaIS2_EE+0x7d) [0x563be76e8c0d]
/usr/bin/wb_view(_ZN5caret15SystemUtilities12getBackTraceEv+0x4e) [0x563be76e8d4e]
/usr/bin/wb_view(+0x2b0272) [0x563be6f86272]
/lib64/libQtCore.so.4(_Z17qt_message_output9QtMsgTypePKc+0x26) [0x7f470c4d5756]
/lib64/libQtCore.so.4(+0x81941) [0x7f470c4d5941]
/lib64/libQtCore.so.4(_Z8qWarningPKcz+0xa1) [0x7f470c4d5bb1]
/lib64/libpng16.so.16(png_chunk_warning+0x40) [0x7f4705b71240]
/lib64/libpng16.so.16(+0x912c) [0x7f4705b7012c]
/lib64/libpng16.so.16(+0x1a10a) [0x7f4705b8110a]
/lib64/libpng16.so.16(png_read_info+0x376) [0x7f4705b76556]
/lib64/libQtGui.so.4(+0x301145) [0x7f470cc5c145]
/lib64/libQtGui.so.4(+0x3031dd) [0x7f470cc5e1dd]
/lib64/libQtGui.so.4(_ZN12QImageReader4readEP6QImage+0x1c4) [0x7f470cc2b4a4]
/lib64/libQtGui.so.4(_ZN12QImageReader4readEv+0x34) [0x7f470cc2ba64]
/lib64/libQtGui.so.4(_ZN11QPixmapData8fromFileERK7QStringPKc6QFlagsIN2Qt19ImageConversionFlagEE+0x5a) [0x7f470cc3f2ba]
/lib64/libQtGui.so.4(_ZN7QPixmap4loadERK7QStringPKc6QFlagsIN2Qt19ImageConversionFlagEE+0x5c4) [0x7f470cc37cd4]
/usr/bin/wb_view(_ZN5caret13WuQtUtilities10loadPixmapERK7QStringR7QPixmap+0x3d) [0x563be70525fd]
/usr/bin/wb_view(_ZNK5caret13CursorManager10loadCursorERK7QStringiiRKN2Qt11CursorShapeE+0x45) [0x563be6fcf9d5]
/usr/bin/wb_view(_ZN5caret13CursorManagerC1Ev+0x156) [0x563be6fcfbc6]
/usr/bin/wb_view(_ZN5caret10GuiManagerC2EP7QObject+0x20f) [0x563be6fe7e2f]
/usr/bin/wb_view(_ZN5caret10GuiManager16createGuiManagerEv+0x1d) [0x563be6fe8add]
/usr/bin/wb_view(main+0x5a8) [0x563be6f6b8e8]
/lib64/libc.so.6(__libc_start_main+0xf0) [0x7f47078c9580]
/usr/bin/wb_view(_start+0x29) [0x563be6f860d9]

The good
========

- latest release is packaged (not counting pre-release)
- Provides/Requires look good
- builds and installs
- %check is present
- software is under an allowed license
- license file is present, %license is used
- no scriptlets are present or necessary
Comment 3 Igor Gnatenko 2015-12-12 08:08:36 EST
> License:        GPLv2+ and BSD and (LGPLv2 or GPLv3)
I think this is correct and we can simplify it into GPLv3 and BSD. Do you agree?

> wb_view dumps various warnings when run from the commandline. Would be nice to fix that:
I backported 3 more patches from upstream and developer promised me that it should be fixed.

>You should add a desktop file (I see that there's an icon), and also an appdata file would be great. The desktop file should register for their .spec mimetype if possible (Upstream is crazy to use .spec extension, but it's probably too late to fix that).
will add desktop file and in the future will write some appdata file. I'd like to not register .spec mimetype.....
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-12-12 12:49:28 EST
Now it doesn't build in rawhide, probably because of the recent qt5 changes... Hopefully this will resolve itself on its own.

> License:        GPLv2+ and BSD and (LGPLv2 or GPLv3)
I think this is correct and we can simplify it into GPLv3 and BSD. Do you agree?

Actually, I don't see any sources that are GPLv3 licensed. According to licensecheck, sources are GPLv2+, LGPLv2+, MIT/X11. zlib/png. So only version 2 of GPL, not 3.

Please note that the License field applies to the contents of the binary package [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License:_field].
The binary package consist of two files:
%{_bindir}/wb_view
%{_bindir}/wb_command
Both files are built from the sources, some of which are GPLv2+, and some are under other GPL-compatible licenses. So in effect GPLv2+ "wins", and the result is GPLv2+.
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-03-05 17:32:39 EST
?

Note You need to log in before you can comment on or make changes to this bug.